/*
 * Created on Mar 13, 2005 by Sergei Vasilevsky
 * Part of CLCA project
 */
package edu.uiuc.webcoord;

public abstract class WebElement implements java.io.Serializable{
	private String xCoord;
	private String yCoord;

	protected WebElement(String _xCoord, String _yCoord) {
		setXCoord(_xCoord);
		setYCoord(_yCoord);
	}

	/**
	 * @param yCoord The y coordinate to set.
	 */
	public void setYCoord(String yCoord) {
		this.yCoord = yCoord;
	}

	/**
	 * @return Returns the y coordinate
	 */
	public String getYCoord() {
		return yCoord;
	}

	/**
	 * @param xCoord The x coordinate to set.
	 */
	public void setXCoord(String xCoord) {
		this.xCoord = xCoord;
	}

	/**
	 * @return Returns the x coordinate.
	 */
	public String getXCoord() {
		return xCoord;
	}
}